const quizData = [
  {
    question: "Who was Saint Maron?",
    options: [
      "A 4th-century Syrian Christian monk",
      "A Roman emperor",
      "A Lebanese president",
      "A medieval scholar"
    ],
    correct: 0
  },
  {
    question: "Where did the early Maronite community first settle?",
    options: [
      "Egypt",
      "Mount Lebanon",
      "Rome",
      "Constantinople"
    ],
    correct: 1
  },
  {
    question: "What is the primary language of the Maronite liturgy?",
    options: [
      "Arabic",
      "Latin",
      "Syriac",
      "Greek"
    ],
    correct: 2
  }
];

let currentQuestion = 0;
let score = 0;

function startQuiz() {
  document.getElementById('home').classList.add('hidden');
  document.getElementById('quiz-container').classList.remove('hidden');
  loadQuestion();
}

function loadQuestion() {
  const question = quizData[currentQuestion];
  document.getElementById('question').textContent = question.question;
  
  const optionsContainer = document.getElementById('options');
  optionsContainer.innerHTML = '';
  
  question.options.forEach((option, index) => {
    const button = document.createElement('button');
    button.classList.add('option');
    button.textContent = option;
    button.onclick = () => selectOption(index);
    optionsContainer.appendChild(button);
  });
  
  document.getElementById('next-btn').disabled = true;
}

function selectOption(index) {
  const options = document.querySelectorAll('.option');
  options.forEach(option => {
    option.disabled = true;
  });
  
  if (index === quizData[currentQuestion].correct) {
    options[index].classList.add('correct');
    score++;
  } else {
    options[index].classList.add('wrong');
    options[quizData[currentQuestion].correct].classList.add('correct');
  }
  
  document.getElementById('score').textContent = `Score: ${score}`;
  document.getElementById('next-btn').disabled = false;
}

function nextQuestion() {
  currentQuestion++;
  
  if (currentQuestion < quizData.length) {
    loadQuestion();
  } else {
    document.getElementById('quiz-container').innerHTML = `
      <div class="quiz-card">
        <h2>Quiz Complete!</h2>
        <p>Your final score: ${score}/${quizData.length}</p>
        <button class="cta-button" onclick="location.reload()">Try Again</button>
      </div>
    `;
  }
}
